Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 468465 - Review Request: posterazor - Make your own poster
Review Request: posterazor - Make your own poster
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-24 16:36 EDT by Nicoleau Fabien
Modified: 2009-02-19 14:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-19 14:43:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicoleau Fabien 2008-10-24 16:36:37 EDT
Spec URL: http://nicoleau.fabien.free.fr/rpms/SPECS/posterazor.spec
SRPM URL: http://nicoleau.fabien.free.fr/rpms/srpms.fc9/posterazor-1.5-1.fc9.src.rpm
Description:
The PosteRazor cuts a raster image into pieces which can afterwards be
printed out and assembled to a poster. As input, the PosteRazor takes a
raster image. The resulting poster is saved as a multipage PDF document.
An easy to use, wizard like user interface guides through 5 steps.

rpmlint is silent :
[builder@FEDOBOX tmp]$ rpmlint posterazor-1.5-1.fc9.i386.rpm posterazor-1.5-1.fc9.src.rpm posterazor-debuginfo-1.5-1.fc9.i386.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
[builder@FEDOBOX tmp]$ 

Rebuild under mock fedora-9-i386 and fedora-8-i386 is OK
Rebuild under koji is OK : http://koji.fedoraproject.org/koji/taskinfo?taskID=901793
Comment 1 Nicoleau Fabien 2008-10-29 14:53:54 EDT
Update (add desktop file) :
Spec URL: http://nicoleau.fabien.free.fr/rpms/SPECS/posterazor.spec
SRPM URL:
http://nicoleau.fabien.free.fr/rpms/srpms.fc9/posterazor-1.5-2.fc9.src.rpm

Rebuild under mock is OK and rpmlint is silent
Comment 2 manuel wolfshant 2009-01-31 22:35:28 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPLv3+
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, contai
ning the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package match the upstream source, as provided in the spec URL.
     SHA1SUM of package: a2959c23a3614fc7358bf73a00ec54f911396e58 PosteRazor-1.5-Source.zip
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [x] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.
 [x] Final provides and requires are sane.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: koji scratch build
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on: koji scratch build
 [?] Package functions as described.
 [x] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [-] %check is present and the test passes.


=== Final Notes ===
1. Would be nice to have a "touch -r" in the loop which removes the "\r"s in order to preserve the timestamps.

================
*** APPROVED ***
================
Comment 3 manuel wolfshant 2009-01-31 22:35:54 EST
sorry, I meant:
 [x] Package functions as described.
Comment 4 Nicoleau Fabien 2009-02-04 13:53:12 EST
Thank you for the review. I'll modify the loop before import like that :
for i in CHANGES LICENSE README
do
 sed -e 's/\r//' $i > $i.tmp
 touch -c -r $i $i.tmp
 mv $i.tmp $i
done

=======================
New Package CVS Request
=======================
Package Name: posterazor
Short Description: Make your own poster
Owners: eponyme
Branches: F-9 F-10
InitialCC:
Comment 5 Kevin Fenzi 2009-02-05 22:01:46 EST
cvs done.
Comment 6 Fedora Update System 2009-02-07 17:23:10 EST
posterazor-1.5-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update posterazor'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-1479
Comment 7 Fedora Update System 2009-02-07 17:25:37 EST
posterazor-1.5-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update posterazor'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-1506
Comment 8 Nicoleau Fabien 2009-02-19 14:43:05 EST
As koji seems not closing this bug, I do it manualy.
(posterazor is now in stable repository).

Note You need to log in before you can comment on or make changes to this bug.